%define upstream_name    String-CRC32
%define upstream_version 2.100

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Perl interface for cyclic redundancy check generation
License:    GPL or Artistic
Group:      Development/Perl
Source0:    https://cpan.metacpan.org/modules/by-module/String/%{upstream_name}-%{upstream_version}.tar.gz
Url:        https://metacpan.org/release/%{upstream_name}

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
%{?perl_default_filter}

%description 
This packages provides a perl module to generate checksums from strings
and from files.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
%{__make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/*/*
%{perl_vendorarch}/String
%{perl_vendorarch}/auto/String


%changelog
* Thu Aug 22 2024 neoclust <neoclust> 2.100.0-6.mga10
+ Revision: 2088222
- Rebuild against new perl

* Tue Nov 28 2023 tv <tv> 2.100.0-5.mga10
+ Revision: 2010501
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 2.100.0-4.mga9
+ Revision: 1862424
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 2.100.0-3.mga9
+ Revision: 1796054
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 2.100.0-2.mga9
+ Revision: 1727126
- Rebuild for perl 5.34

* Thu Feb 25 2021 tv <tv> 2.100.0-1.mga9
+ Revision: 1690365
- update to 2.100

* Tue Nov 10 2020 tv <tv> 2.0.0-1.mga8
+ Revision: 1644197
- update to 2

* Wed Jun 17 2020 umeabot <umeabot> 1.800.0-3.mga8
+ Revision: 1595270
- Rebuild for perl 5.32

* Mon Feb 17 2020 umeabot <umeabot> 1.800.0-2.mga8
+ Revision: 1537522
- Mageia 8 Mass Rebuild

* Sun Nov 03 2019 tv <tv> 1.800.0-1.mga8
+ Revision: 1457425
- update to 1.8

* Mon Aug 26 2019 tv <tv> 1.700.0-5.mga8
+ Revision: 1432884
- rebuild with perl-5.30

* Wed Oct 03 2018 tv <tv> 1.700.0-4.mga7
+ Revision: 1316071
- rebuild due to missing pkg

* Fri Sep 21 2018 umeabot <umeabot> 1.700.0-3.mga7
+ Revision: 1293766
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 1.700.0-2.mga7
+ Revision: 1249266
- Rebuild for perl 5.28

* Wed Jul 04 2018 shlomif <shlomif> 1.700.0-1.mga7
+ Revision: 1241603
- update to 1.7

* Tue Oct 03 2017 tv <tv> 1.600.0-2.mga7
+ Revision: 1166661
- rebuild with fixed rpm for missing autodeps

* Sun Sep 24 2017 sander85 <sander85> 1.600.0-1.mga7
+ Revision: 1158494
- update to 1.6

* Thu Aug 31 2017 pterjan <pterjan> 1.500.0-11.mga7
+ Revision: 1149172
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 1.500.0-10.mga7
+ Revision: 1127230
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 1.500.0-9.mga6
+ Revision: 1033353
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.500.0-8.mga6
+ Revision: 958006
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 1.500.0-7.mga6
+ Revision: 845294
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 1.500.0-6.mga6
+ Revision: 840868
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 1.500.0-5.mga5
+ Revision: 749000
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.500.0-4.mga5
+ Revision: 733415
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.500.0-3.mga5
+ Revision: 686235
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.500.0-2.mga5
+ Revision: 631672
- Rebuild for perl 5.20

* Mon Feb 17 2014 jquelin <jquelin> 1.500.0-1.mga5
+ Revision: 593782
- update to 1.5

* Sat Oct 19 2013 umeabot <umeabot> 1.4-15.mga5
+ Revision: 524078
- Mageia 4 Mass Rebuild

* Wed May 29 2013 tv <tv> 1.4-14.mga4
+ Revision: 429984
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 1.4-13.mga3
+ Revision: 372779
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.4-12.mga3
+ Revision: 251140
- rebuild for perl 5.16

* Sun Jun 12 2011 ahmad <ahmad> 1.4-11.mga2
+ Revision: 104404
- Rebuild for perl-5.14.0

* Thu Jan 13 2011 jquelin <jquelin> 1.4-10.mga1
+ Revision: 14668
- imported package perl-String-CRC32


* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 1.4-10mdv2011.0
+ Revision: 564581
- rebuild for perl 5.12.1

* Tue Jul 20 2010 Sandro Cazzaniga <kharec@mandriva.org> 1.4-9mdv2011.0
+ Revision: 555290
- rebuild

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.4-8mdv2010.1
+ Revision: 426590
- rebuild

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 1.4-7mdv2009.1
+ Revision: 351737
- rebuild

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 1.4-6mdv2009.1
+ Revision: 351725
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.4-5mdv2009.0
+ Revision: 224057
- rebuild

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 1.4-4mdv2008.1
+ Revision: 151364
- rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Aug 17 2007 Thierry Vignaud <tv@mandriva.org> 1.4-3mdv2008.0
+ Revision: 64826
- rebuild

* Sat May 05 2007 Olivier Thauvin <nanardon@mandriva.org> 1.4-2mdv2008.0
+ Revision: 23318
- rebuild


* Sat Apr 22 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.4-1mdk
- New release 1.4
- optimisations
- better source URL
- %%mkrel

* Mon Apr 25 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.3-1mdk
- New release 1.3
- spec cleanup
- better url

* Mon Nov 15 2004 Michael Scherer <misc@mandrake.org> 1.2-3mdk
- Rebuild for new perl

* Fri Jul 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.2-2mdk 
- rpmbuildupdate aware

* Wed Sep 17 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 1.2-1mdk
- 1.2

